<?php 
    $host_ip = $_SERVER['SERVER_ADDR'];
    $s_name = $_SERVER['SERVER_NAME'];
?>
<html>
  <head>
    <title>PuBe - Purum Bellum</title>
    <link rel="stylesheet" type="text/css" href="pube.css" />
    <link rel="icon" type="image/png" sizes="32x32" href="img/favicon32.png">
    <meta charset="UTF-8">
    <meta name="description" content="Purum Bellum provides videogame and service hosting.">
    <meta name="keywords" content="PuBe,Purum Bellum,game,videogame,service,server,hosting">
    <meta name="author" content="Abhorrent_Anger">
  </head>
  <body>
    <div id="main-container">
        <div>
            <svg class="center" width="128" height="64">
                <image xlink:href="img/pube-logo.svg" src="img/pube-logo.png" alt="PuBe"/>
            </svg>
        </div>
        <hr>
        <div id="services" class="section">
            <h1>Services</h1>
            <h2>Games</h2>
            <table>
                <tr>
                    <td>
                        <img src="img/thumb/openttd.png" alt="OpenTTD"/>
                    </td>
                    <th>
                        <a href="https://www.openttd.org">OpenTTD</a>
                    </th>
                    <td>
                        <a href="https://www.openttd.org/en/server/121357">Purum Bellum - Vanilla (Temperate 1950-2100)</a>
                    </td>
                </tr>
                <tr>
                    <td>
                        <img src="img/thumb/zdaemon.png" alt="ZDaemon"/>
                    </td>
                    <th>
                         <a href="https://www.zdaemon.org/">ZDaemon</a>
                    </th>
                    <td>
                        <a href="zds://<?=$host_ip;?>:10669">Purum Bellum - Horde2 Coop (2014)</a>
                        <a href="zds://<?=$host_ip;?>:10666">Purum Bellum - RJ Nonsense</a>
                    </td>
                </tr>
            </table>
            <h2>Fediverse</h2>
            <table>
                <tr>
                    <td>
                        <img src="img/thumb/funkwhale.png" alt="Funkwhale"/>
                    </td>
                    <th>
                        <a href="https://join.funkwhale.audio/">Funkwhale</a>
                    </th>
                    <td>
                        <a href="https://fw.<?=$s_name;?>/">fw.<?=$s_name;?></a>
                    </td>
                </tr>
                <tr>
                    <td>
                        <img src="img/thumb/peertube.png" alt="PeerTube"/>
                    </td>
                    <th>
                        <a href="https://joinpeertube.org/">PeerTube</a>
                    </th>
                    <td>
                        <a href="https://pt.<?=$s_name;?>/">pt.<?=$s_name;?></a>
                    </td>
                </tr>
                <tr>
                    <td>
                        <img src="img/thumb/pixelfed.png" alt="PixelFed"/>
                    </td>
                    <th>
                        <a href="https://pixelfed.org/">PixelFed</a>
                    </th>
                    <td>
                        <a href="https://pix.<?=$s_name;?>/">pix.<?=$s_name;?></a>
                    </td>
                </tr>
                <tr>
                    <td>
                        <img src="img/thumb/pleroma.png" alt="Pleroma"/>
                    </td>
                    <th>
                        <a href="https://pleroma.social/">Pleroma</a>
                    </th>
                    <td>
                        <a href="https://pl.<?=$s_name;?>/">pl.<?=$s_name;?></a>
                    </td>
                </tr>
            </table>
            <h2>Miscellaneous</h2>
            <table>
                <tr>
                    <td>
                        <img src="img/thumb/gitlab.png" alt="GitLab"/>
                    </td>
                    <th>
                        <a href="https://about.gitlab.com/">GitLab (Invite only)</a>
                    </th>
                    <td>
                        <a href="https://git.<?=$s_name;?>/">git.<?=$s_name;?></a>
                    </td>
                </tr>
                <tr>
                    <td>
                        <img src="img/thumb/irc.png" alt="IRC"/>
                    </td>
                    <th>
                        <a href="http://www.irchelp.org/">IRC</a>
                    </th>
                    <td>
                        <a href="https://irc.<?=$s_name;?>/">irc.<?=$s_name;?></a>
                    </td>
                </tr>
            </table>
        </div>
        <hr>
        <div id="footer" class="section">
            <table>
                <tr>
                    <th>
                        <a href="https://bitcoin.org/">BTC</a>:
                    </th>
                    <td>
                        1PuBe1wTfnbJP3AW2aUmEeJfjutcmruCTg
                    </td>              
                </tr>
                <tr>
                    <th>
                        <a href="https://litecoin.org/">LTC</a>:
                    </th>
                    <td>
                        LPuBeTk8H5pFdRQJLpG2DwDfV4DqbQo9FT
                    </td>              
                </tr>
                <tr>
                    <th>
                        <a href="https://www.ethereum.org/">ETH</a>:
                    </th>
                    <td>
                        0xBEbEBEBEAe434B24e73B1EB96306d090B0EB8A66
                    </td>              
                </tr>
                <tr>
                    <th>
                        <a href="https://www.getmonero.org/">XMR</a>:
                    </th>
                    <td>
                        47PuBea9kNTHvmSUrVJAwWQ9EiooXw3W6Koz5oYwT8qJRQVgjmT6vXzPfVt11LsEkq2XL7Q4yq5kp6KTAPWsMGsSR4AQXss
                    </td>              
                </tr>
            </table>
            <br>
            <table>
                <tr>
                    <th>
                        IPv4:
                    </th>
                    <td>
                        <?=$host_ip;?>
                    </td>
                </tr>
                <tr>
                    <th>
                        DN:
                    </th>
                    <td>
                        <?=$s_name;?>
                    </td>
                </tr>
                <tr>
                    <th>
                        Tor:
                    </th>
                    <td>
                        pube6666k6afaa4j.onion
                    </td>
                </tr>
                <tr>
                    <th>
                        EM:
                    </th>
                    <td>
                        <script src="addrobfs.js"></script>
                    </td>
                </tr>
                <tr>
                    <th>
                        UT:
                    </th>
                    <td>
                        <?=shell_exec('uptime | awk -F, \'{sub(".*up ",x,$1);print $1}\'')?>
                    </td>
                </tr>
            </table>
        </div>
    </div>
  </body> 
</html>
 
